# BoxGraphics

#### new Cesium.BoxGraphics(options)
engine/Source/DataSources/BoxGraphics.js 36

Describes a box. The center position and orientation are determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---
`options` | BoxGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Box Demo

### Members

#### readonly definitionChanged : Event
engine/Source/DataSources/BoxGraphics.js 69

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### dimensions : Property|undefined
engine/Source/DataSources/BoxGraphics.js 88

Gets or sets `Cartesian3` Property property specifying the length, width, and height of the box.

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/BoxGraphics.js 155

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this box will be displayed.

#### fill : Property|undefined
engine/Source/DataSources/BoxGraphics.js 104

Gets or sets the boolean Property specifying whether the box is filled with the provided material.

Default Value: `true`

#### heightReference : Property|undefined
engine/Source/DataSources/BoxGraphics.js 96

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### material : MaterialProperty|undefined
engine/Source/DataSources/BoxGraphics.js 112

Gets or sets the material used to fill the box.

Default Value: `Color.WHITE`

#### outline : Property|undefined
engine/Source/DataSources/BoxGraphics.js 120

Gets or sets the Property specifying whether the box is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
engine/Source/DataSources/BoxGraphics.js 128

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
engine/Source/DataSources/BoxGraphics.js 139

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### shadows : Property|undefined
engine/Source/DataSources/BoxGraphics.js 148

Get or sets the enum Property specifying whether the box casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
engine/Source/DataSources/BoxGraphics.js 81

Gets or sets the boolean Property specifying the visibility of the box.

Default Value: `true`

### Methods

#### clone(result) → BoxGraphics
engine/Source/DataSources/BoxGraphics.js 166

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | BoxGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/BoxGraphics.js 189

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | BoxGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.BoxGraphics.ConstructorOptions
engine/Source/DataSources/BoxGraphics.js 8

Initialization options for the BoxGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the box.
`dimensions` | Property | Cartesian3 | <optional> |  | A `Cartesian3` Property specifying the length, width, and height of the box.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height from the entity position is relative to.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the box is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the box.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the box is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the box casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this box will be displayed.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.